#Region Includes
#include <File.au3>
#include <GUIConstantsEx.au3>
#include <ComboConstants.au3>
#include <EditConstants.au3>
#include <WindowsConstants.au3>
#include <GuiStatusBar.au3>
#EndRegion Includes
Global $Version = "Color Tool V0.1a" & @LF & "2007, by Thorsten Willert" & @LF & "thorsten.willert@gmx.de"
Global $srcfile = ""
Global $GRDname = ""
Global $GRDmode = ".tmg"
Global $gradient[256][14]
Global $debug = 0
Global $DestFile = ""
Global $gr
Global $segments = 0
Global $convert = False
Global $Neu
Global $InputDir, $OutputDir, $files
#include "InclGUI.au3"
;MAIN
While 1
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			Exit
		Case $Menu_Exit
			Exit
		Case $Menu_Open
			$srcfile = OpenFile()
		Case $Menu_About
			MsgBox(64, "About ...", $Version)
		Case $Button_Input_Dir
			$srcfile = ""
			$InputDir = SelectDir()
			GUICtrlSetData($Input_Dir, $InputDir)
		Case $Button_Output_Dir
			$OutputDir = SelectDir()
			GUICtrlSetData($Output_Dir, $OutputDir)
		Case $Button_Convert
			If $srcfile = "" Then
				If GUICtrlRead($Input_Dir) = "" Then
					SetStatusMessage("No File loaded!", 0)
				Else
					$convert = True
				EndIf
			Else
				$Neu = GGR2TMG()
			EndIf
		Case $Button_Stop
			;Case $Check_Fast
		Case $Check_Preview
			If GUICtrlRead($Check_Preview) = $GUI_CHECKED Then
				If $gr = 0 Then
					If $srcfile <> "" Then GradientRefresh()
					$gr = 1
				EndIf
			Else
				$gr = 0
			EndIf
	EndSwitch
	;-------------------------------------------------------------------------------
	If $convert Then
		$files = _FileListToArray(GUICtrlRead($Input_Dir), "*.ggr", 1)
		If @error <> -1 Then
			For $i = 1 To $files[0]
				GUICtrlSetData($LogView, "")
				$segments = LoadGGR(GUICtrlRead($Input_Dir) & $files[$i])
				$Neu = GGR2TMG()
				If GUICtrlRead($Check_Preview) = $GUI_CHECKED Then
					GradientRefresh()
					Sleep(1000)
				EndIf
				SaveFile(GUICtrlRead($Output_Dir) & $GRDname & $GRDmode, $Neu)
			Next
		EndIf
		If $i >= $files[0] Then $convert = False
	EndIf
WEnd
#include "InclImport.au3"
#include "InclFunctions.au3"
#include "InclConverter.au3"
